Yar_Server_Exception
Yar_Client_Exception
Yar_Server_Exception
PHP Manual

# Yar_Server_Exception::getType

(PECL yar >= 1.0.0)

Yar_Server_Exception::getType — The getType purpose

### Description

public string Yar_Server_Exception::getType ( void )

Get the exception original type threw by server

### Parameters

This function has no parameters.

### Return Values

string

### Examples

Example #1 Yar_Server_Exception::getType() example

`//Server.php
<?php
class Custom_Exception extends Exception {};
class API {
public function throw_exception($name) {
throw new Custom_Exception($name);
}
}
$service = new Yar_Server(new API());
$service->handle();
?>
//Client.php
<?php
$client = new Yar_Client("http://host/api.php");
try {
$client->throw_exception("client");
} catch (Yar_Server_Exception $e) {
var_dump($e->getType());
var_dump($e->getMessage());
}`

The above example will output something similar to:

    string(16) "Custom_Exception"
    string(6) "client"

### See Also

Yar_Server_Exception
Yar_Client_Exception
Yar_Server_Exception
PHP Manual